#Makefile for dataManip functions of psLib
#
INCLUDES = \
	-I$(top_srcdir)/src/astronomy \
	-I$(top_srcdir)/src/collections \
	-I$(top_srcdir)/src/dataIO \
	-I$(top_srcdir)/src/image \
	-I$(top_srcdir)/src/sysUtils \
	$(all_includes)

noinst_LTLIBRARIES = libpslibdataManip.la

libpslibdataManip_la_SOURCES = psUnaryOp.c psBinaryOp.c psStats.c \
		psFunctions.c psMatrix.c psVectorFFT.c psMinimize.c psRandom.c

BUILT_SOURCES = psDataManipErrors.h
EXTRA_DIST = psDataManipErrors.dat psDataManipErrors.h dataManip.i

psDataManipErrors.h: psDataManipErrors.dat
	$(top_srcdir)/src/psParseErrorCodes --data=$? $@

pslibincludedir = $(includedir)
pslibinclude_HEADERS = \
	psConstants.h \
	psStats.h  \
	psFunctions.h \
	psMatrix.h \
    psBinaryOp.h \
    psUnaryOp.h \
	psVectorFFT.h \
	psMinimize.h \
	psRandom.h

